Subject: Bug#314: [X2Go-Dev] Bug#314: nx-libs compilation warnings

From: Mike Gabriel <[email-masked]>
Date: Mon, 30 Sep 2013 19:20:45 +0000

Hi Mirraz,

On  Mo 30 Sep 2013 16:03:44 CEST, Mirraz Mirraz wrote:

>> Пн. 30 сент. 2013 13:49:01 пользователь Mike Gabriel  
>> ([email-masked]) wrote:
>>
>> are you willing to provide a patch? Otherwise, I will mark this      
>> reported issue as "won't fix" for now.
>>
>> Mike
>
> OK, I didn't plan to do it, but if you want...
> Propose patch which fixes 3 evident bugs: 1 implicit function  
> declaration and 2 array index out of bounds.
> I agree "[-Waddress]" warnings are not so terrible and may be that  
> code helps to avoid future mistakes.
> What about warnings in get.c: I don't know what to do.

thanks for that patched. As you might have noticed, I have applied the  
patch to nx-libs.git and it will be in 3.5.0.22.

However, do you consider this issue (#314) to be fixed? I have no  
spontaneous clue on the get.c issue, would have to sit down to find a  
solution.

Maybe someone else (Orion?) has an idea...

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb